//
// $Id: Payload_Receiver.h 76591 2007-01-25 18:17:52Z elliott_c $
//

#ifndef PMB_WITH_FRAGMENTS_PAYLOAD_RECEIVER_H
#define PMB_WITH_FRAGMENTS_PAYLOAD_RECEIVER_H
#include /**/ "ace/pre.h"

#include "TestS.h"

/// Implement the Test::Payload_Receiver interface
/**
 * Simply print count how many bytes were received.
 */
class Payload_Receiver
  : public virtual POA_Test::Payload_Receiver
{
public:
  /// Constructor
  Payload_Receiver (CORBA::ORB_ptr orb);

  // = The skeleton methods
  virtual void more_data (const Test::Payload &payload)
    ACE_THROW_SPEC ((CORBA::SystemException,
                     Test::Payload_Receiver::Invalid_Payload));

  virtual void shutdown (void)
    ACE_THROW_SPEC ((CORBA::SystemException));

  int get_count (void) const;

public:
  int count_;
  CORBA::ORB_var orb_;
};

#include /**/ "ace/post.h"
#endif /* PMB_WITH_FRAGMENTS_PAYLOAD_RECEIVER_H */
